Bug 138304 - aspell-bg does not ship /usr/share/aspell/bulgarian.kbd
Summary: aspell-bg does not ship /usr/share/aspell/bulgarian.kbd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell-bg   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-07 22:43 UTC by Doncho Gunchev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 50:0.50-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 11:59:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file based on aspell-bg-4.0.tar.gz (not recommended) (1.43 KB, text/plain)
2004-11-07 22:47 UTC, Doncho Gunchev
no flags Details
spec file based on aspell-bg-0.50-2.tar.bz2 (recommended) (1.67 KB, text/plain)
2004-11-07 22:49 UTC, Doncho Gunchev
no flags Details

Description Doncho Gunchev 2004-11-07 22:43:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
aspell-bg-0.50-5 is missing bulgarian.kbd. This probably will affect
FC3 final too :(

Version-Release number of selected component (if applicable):
aspell-bg-0.50-5

How reproducible:
Always

Steps to Reproduce:
1. install aspell-bg-0.50-5
2. touch aspell-test.txt
3. aspell --lang=bg -c aspell-test.txt
    

Actual Results:  Unhandled Error: The file
"/usr/share/aspell/bulgarian.kbd" can not be opened for reading.
Aborted


Expected Results:  working aspell

Additional info:

    aspell-bg also comes with:
Source: ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell-\
%{lang}-%{version}-%{langrelease}.tar.bz2, which as explained before
is totaly broken. The second source is:
http://prdownloads.sourceforge.net/bgoffice/aspell-bg-4.0.tar.gz. The
main diference between aspell-bg-0.50-2 and aspell-bg-4.0 there is
that aspell-bg-0.50-2 has bg.cwl that must be 'word-list-compress d <
./bg.cwl > bg_words.dat' to get the bg_words.dat file which is in
aspell-bg-4.0. All other changes are comments or documentation (which
is not icluded in the binary package). bg.cwl from aspell-bg-0.50-2 is
2157074 bytes and bg_words.dat is 9632252, which makes the package
smaller. I managed to make two spec files for this package (touching
as little as I can), which I'll try to attach.
    Thanks in advance.

Comment 1 Doncho Gunchev 2004-11-07 22:47:43 UTC
Created attachment 106262 [details]
spec file based on aspell-bg-4.0.tar.gz (not recommended)

    This spec file is based on aspell-bg-4.0.tar.gz, which is not so clean.

Comment 2 Doncho Gunchev 2004-11-07 22:49:18 UTC
Created attachment 106263 [details]
spec file based on aspell-bg-0.50-2.tar.bz2 (recommended)

    This spec file is based on aspell-bg-0.50-2.tar.bz2, which is much cleaner.
I would recommend using this one.

Comment 3 Doncho Gunchev 2004-11-22 12:20:39 UTC
    The source:
[1]ftp://ftp.gnu.org/gnu/aspell/dict/bg/aspell-bg-0.50-0.tar.bz2 is
broken (wrong encoding, 50% bad words - see bug #128137, comment 8),
while
[2]http://prdownloads.sourceforge.net/bgoffice/aspell-bg-0.50-2.tar.bz2
is OK. I don't know why it ([2]) is not on 
ftp://ftp.gnu.org/gnu/aspell/dict/bg/, but
[3]ftp://ftp.gnu.org/gnu/aspell/dict/bg/aspell5-bg-4.0-0.tar.bz2 is.
The only diference between them ([2] and [3]) is the Makefile. There's
also no need from [4]aspell-bg-4.0.tar.gz in the source rpm ([2], [3]
and [4] contain the same set of words).
    Please take a look at the second spec file I attached - it works.
I'm ready to assist if something else is needed (Bulgarian is my
mother language).
    A simple aspell-bg test:
    good word:
echo 'Ñма' | aspell --encoding=utf-8 --lang=bg -a
    bad word (but included in [1]):
echo 'ÑÑма' | aspell --encoding=utf-8 --lang=bg -a


Comment 4 Doncho Gunchev 2004-11-22 12:23:41 UTC
    The previous comment is for aspell-bg-0.50-7.i386.rpm (latest now).

Comment 5 Doncho Gunchev 2004-12-04 00:15:20 UTC
    Ops, do I need to open new bug for Comment #3 and close this one?

Comment 6 Doncho Gunchev 2004-12-08 11:59:26 UTC
Opening Bug # 142238, as bulgarian.kbd is no longer missing.

Comment 7 Doncho Gunchev 2004-12-08 12:00:24 UTC
Comment on attachment 106263 [details]
spec file based on aspell-bg-0.50-2.tar.bz2 (recommended)

Belongs to Bug # 142238


Note You need to log in before you can comment on or make changes to this bug.